Skip to main content
GET
/
api
/
Contact
/
ByTag
/
{tagId}
Get Contacts by Tag ID
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Contact/ByTag/{tagId} \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "id": "<integer>",
      "name": "<string>",
      "contactType": "<string>",
      "contactName": "<string>",
      "address": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "contactViewUrl": "<string>"
    },
    {
      "id": "<integer>",
      "name": "<string>",
      "contactType": "<string>",
      "contactName": "<string>",
      "address": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "contactViewUrl": "<string>"
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tagId
string
required

(Required) The tag identifier.

Query Parameters

filter
string

The filter. If provided will filter by Id, Name or Email address.

sortBy
string

The field to be sorted. Supported: Id, Name, CreatedDateTime.

descending
string

The direction to be sorted.

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026